Subject: Re: Multiple for-next branches from same tree

From: Vineet Gupta <[email-masked]>
Date: Thu, 7 Mar 2013 17:55:21 +0530

On Thursday 07 March 2013 04:54 PM, Stephen Rothwell wrote:
> Hi Vineet,
>
> On Thu, 7 Mar 2013 11:33:54 +0530 Vineet Gupta <[email-masked]> wrote:
>> With ARC arch merged in 3.9-rc1 I feel the need for a revised workflow.
>>
>> I intend to have 2 branches for -next exposure: for-curr and for-next.
>> * for-curr would contain the bug fixes for this release to be sent to Linus at
>> some point in time.
>> * for-next obviously is next release stuff and will be rebased off for-curr.
> I have several sets of branches like that and it works fine.
>
> Occasionally, the branches will conflict, but that can be sorted by
> merging the for-curr branch into the for-next branch after Linus has
> merged the for-curr branch.

Thanks for your reply Stephen. In that case, can you add the following additional
arc branch to -next

git://git.kernel.org/pub/scm/linux/kernel/git/vgupta/arc.git for-curr

-Vineet